#spina.r
#three models to estiamted a missing number of cases

#data -- cases of spina reported from three sources
n <- c(1,8,3,13,1,3,8)
x1 <- c(0,1,0,1,0,1,0)
x2 <- c(0,0,1,1,0,0,1)
x3 <- c(0,0,0,0,1,1,1)
cbind(n,x1,x2,x3)

#desplay of the collected data
data <- array(n,c(2,2,2))
data[2,2,2] <- "?"
data

#models
for(i in 1:4) {
if(i==1) f <- glm(n~x1+x2+x3,family=poisson)
if(i==2) f <- glm(n~x1+x2+x3+x1*x2,family=poisson)
if(i==3) f <- glm(n~x1+x2+x3+x1*x3,family=poisson)
if(i==4) f <- glm(n~x1+x2+x3+x2*x3,family=poisson)
b <- coef(f)
n0 <- exp(sum(b))
N.est <- sum(n)+n0
X0 <- sum((n-fitted(f))^2/fitted(f))
pvalue <- 1-pchisq(X0,f$df.residual)
log.n0 <- log(n0)
print(round(cbind(i,log.n0,n0,N.est,pvalue),3))
}


